com.thinkaurelius.titan.graphdb.log

## Class StandardLogProcessorFramework

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.log.StandardLogProcessorFramework

- All Implemented Interfaces:
    LogProcessorFramework

      public class StandardLogProcessorFramework
      extends Object
      implements LogProcessorFramework

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardLogProcessorFramework(StandardTitanGraph graph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogProcessorBuilder` | `addLogProcessor(String logIdentifier)` Returns a processor builder for the transaction log with the given log identifier.
    `boolean` | `removeLogProcessor(String logIdentifier)` Removes the log processor for the given identifier and closes the associated log.
    `void` | `shutdown()` Closes all log processors, their associated logs, and the backing graph instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardLogProcessorFramework

          public StandardLogProcessorFramework(StandardTitanGraph graph)

  - ### Method Detail

    - #### removeLogProcessor

          public boolean removeLogProcessor(String logIdentifier)

      Description copied from interface: `LogProcessorFramework`
      Removes the log processor for the given identifier and closes the associated log.
      Specified by:
        `removeLogProcessor` in interface `LogProcessorFramework`
      Returns:

    - #### shutdown

          public void shutdown()
                        throws TitanException

      Description copied from interface: `LogProcessorFramework`
      Closes all log processors, their associated logs, and the backing graph instance
      Specified by:
        `shutdown` in interface `LogProcessorFramework`
      Throws:
        `TitanException`

    - #### addLogProcessor

          public LogProcessorBuilder addLogProcessor(String logIdentifier)

      Description copied from interface: `LogProcessorFramework`
      Returns a processor builder for the transaction log with the given log identifier. Only one processor may be registered per transaction log.
      Specified by:
        `addLogProcessor` in interface `LogProcessorFramework`
      Parameters:
        `logIdentifier` - Name that identifies the transaction log to be processed, i.e. the one used in `TransactionBuilder.setLogIdentifier(String)`
      Returns:

Copyright © 2012–2014. All rights reserved.